
SOURCES:= $(wildcard src/ca/robarts/cfmm/dcm4chee/*.java)
CLASSPATH:=$(DCM4CHEE)/server/default/lib/*:$(DCM4CHEE)/lib/*:$(JBOSS)/lib/*:$(JBOSS)/server/default/lib/*

JAR:=cfmmUpdate.jar

all: build

build: $(JAR)

$(JAR): class $(SOURCES)
	javac $(SOURCES) -d class -classpath $(CLASSPATH)
	cp src/*.properties class
	jar cvf $@ -C class ca class/jndi.properties class/log4j.properties

class:
	mkdir -p class

install: build $(INSTALLDIR)/bin
	cp $(JAR) ae.sh $(INSTALLDIR)/bin

$(INSTALLDIR)/bin:
	mkdir -p $(INSTALLDIR)/bin

clean:
	$(RM) $(subst src/,class/,$(SOURCES:.java=.class))
	$(RM) -r class/ca
	$(RM) $(JAR)
